JdbcConnectionHandle (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.jdbc
Class JdbcConnectionHandle

    java.lang.Object
      bitronix.tm.resource.jdbc.BaseProxyHandlerClass
          bitronix.tm.resource.jdbc.JdbcConnectionHandle

All Implemented Interfaces:
  InvocationHandler

    public class JdbcConnectionHandle

extends BaseProxyHandlerClass

Disposable Connection handle.

Author:
  lorban, brettw

Constructor Summary
`JdbcConnectionHandle(JdbcPooledConnection jdbcPooledConnection, Connection connection)`

Method Summary
`void` | `close()`
`void` | `commit()`
`Statement` | `createStatement()`
`Statement` | `createStatement(int resultSetType, int resultSetConcurrency)`
`Statement` | `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`boolean` | `getAutoCommit()`
`Connection` | `getConnection()`
`JdbcPooledConnection` | `getPooledConnection()`
`Object` | `getProxiedDelegate()` Must be implemented by the sub-class of this class.
`boolean` | `isClosed()`
`boolean` | `isWrapperFor(Class<?> iface)`
`CallableStatement` | `prepareCall(String sql)`
`CallableStatement` | `prepareCall(String sql, int resultSetType, int resultSetConcurrency)`
`CallableStatement` | `prepareCall(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`PreparedStatement` | `prepareStatement(String sql)`
`PreparedStatement` | `prepareStatement(String sql, int autoGeneratedKeys)`
`PreparedStatement` | `prepareStatement(String sql, int[] columnIndexes)`
`PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency)`
`PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`PreparedStatement` | `prepareStatement(String sql, String[] columnNames)`
`void` | `releaseSavepoint(Savepoint savepoint)`
`void` | `rollback()`
`void` | `rollback(Savepoint savepoint)`
`void` | `setAutoCommit(boolean autoCommit)`
`Savepoint` | `setSavepoint()`
`Savepoint` | `setSavepoint(String name)`
`String` | `toString()`
`
`<T> T`
` | `unwrap(Class<T> iface)`

Methods inherited from class bitronix.tm.resource.jdbc.BaseProxyHandlerClass
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JdbcConnectionHandle

    public JdbcConnectionHandle(JdbcPooledConnection jdbcPooledConnection,
                                Connection connection)

Method Detail

### getPooledConnection

    public JdbcPooledConnection getPooledConnection()

### getConnection

    public Connection getConnection()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### close

    public void close()
               throws SQLException

  Throws:
    `SQLException`

### commit

    public void commit()
                throws SQLException

  Throws:
    `SQLException`

### rollback

    public void rollback()
                  throws SQLException

  Throws:
    `SQLException`

### rollback

    public void rollback(Savepoint savepoint)
                  throws SQLException

  Throws:
    `SQLException`

### setSavepoint

    public Savepoint setSavepoint()
                           throws SQLException

  Throws:
    `SQLException`

### setSavepoint

    public Savepoint setSavepoint(String name)
                           throws SQLException

  Throws:
    `SQLException`

### releaseSavepoint

    public void releaseSavepoint(Savepoint savepoint)
                          throws SQLException

  Throws:
    `SQLException`

### getAutoCommit

    public boolean getAutoCommit()
                          throws SQLException

  Throws:
    `SQLException`

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws SQLException

  Throws:
    `SQLException`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Throws:
    `SQLException`

### createStatement

    public Statement createStatement()
                              throws SQLException

  Throws:
    `SQLException`

### createStatement

    public Statement createStatement(int resultSetType,
                                     int resultSetConcurrency)
                              throws SQLException

  Throws:
    `SQLException`

### createStatement

    public Statement createStatement(int resultSetType,
                                     int resultSetConcurrency,
                                     int resultSetHoldability)
                              throws SQLException

  Throws:
    `SQLException`

### prepareCall

    public CallableStatement prepareCall(String sql)
                                  throws SQLException

  Throws:
    `SQLException`

### prepareCall

    public CallableStatement prepareCall(String sql,
                                         int resultSetType,
                                         int resultSetConcurrency)
                                  throws SQLException

  Throws:
    `SQLException`

### prepareCall

    public CallableStatement prepareCall(String sql,
                                         int resultSetType,
                                         int resultSetConcurrency,
                                         int resultSetHoldability)
                                  throws SQLException

  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql)
                                       throws SQLException

  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int autoGeneratedKeys)
                                       throws SQLException

  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int resultSetType,
                                              int resultSetConcurrency)
                                       throws SQLException

  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int resultSetType,
                                              int resultSetConcurrency,
                                              int resultSetHoldability)
                                       throws SQLException

  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int[] columnIndexes)
                                       throws SQLException

  Throws:
    `SQLException`

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              String[] columnNames)
                                       throws SQLException

  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

  Throws:
    `SQLException`

### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

  Throws:
    `SQLException`

### getProxiedDelegate

    public Object getProxiedDelegate()
                              throws Exception

  Description copied from class: `BaseProxyHandlerClass`
  Must be implemented by the sub-class of this class. This method should return the "true" object to be delegated to in the case that the method is not overridden by the sub-class.

  Specified by:
    `getProxiedDelegate` in class `BaseProxyHandlerClass`
  Returns:
    the true delegate object
  Throws:
    `Exception` - can throw any exception if desired

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.